## ruby-prometheus-client-mmap 0.11.0

=== vendor/c/hashmap/test/Makefile ===
TOP_DIR := $(CURDIR)/..
SRC_DIR := $(TOP_DIR)/src

TARGET_EXEC := hashmap_test

SOURCES := $(SRC_DIR)/hashmap.c hashmap_test.c

CFLAGS += -O0 -g -ggdb -Wall -Wunused -Werror -I$(SRC_DIR) -DHASHMAP_METRICS

OBJS := $(SOURCES:%.c=%.o)


test: $(TARGET_EXEC)

$(TARGET_EXEC): $(OBJS)
	@echo EXEC $@ ; \
	$(CC) -o $@ $(OBJS)

clean:
	rm -f $(OBJS) $(TARGET_EXEC)

.PHONY: test clean

## ruby-prometheus-client-mmap 0.7.0~beta14

=== debian/changelog ===
ruby-prometheus-client-mmap (0.7.0~beta14-1) unstable; urgency=medium

  * Initial release (Closes: #876456)

 -- Pirate Praveen <praveen@debian.org>  Thu, 02 Nov 2017 14:58:32 +0530

=== debian/control ===
Source: ruby-prometheus-client-mmap
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 10~),
               gem2deb,
               ruby-mmap2 (>= 2.2.7)
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-prometheus-client-mmap.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-prometheus-client-mmap.git
Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-prometheus-client-mmap
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-mmap2 (>= 2.2.7),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Prometheus Ruby Mmap Client
 This Prometheus library is fork of Prometheus Ruby Client that uses mmap'ed
 files to share metrics from multiple processes. This allows efficient metrics
 processing for Ruby web apps running in multiprocess setups like Unicorn.
 .
 Intended to be used together with a Prometheus server.

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/prometheus-client-mmap .*/prometheus-client-mmap-(.*).tar.gz

## ruby-prometheus-client-mmap 0.9.1

=== debian/changelog ===
ruby-prometheus-client-mmap (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Bump debhelper compat to 11 and standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Sun, 18 Mar 2018 21:49:43 +0530

=== debian/control ===
Source: ruby-prometheus-client-mmap
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-prometheus-client-mmap
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: suite of instrumentation metric primitives
 These instrumentation metric primitives can be exposed through a web services
 interface. Intended to be used together with a Prometheus server.
 .
 This Prometheus library is fork of Prometheus Ruby Client that uses mmap'ed
 files to share metrics from multiple processes. This allows efficient metrics
 processing for Ruby web apps running in multiprocess setups like Unicorn.

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/prometheus-client-mmap .*/prometheus-client-mmap-(.*).tar.gz

## ruby-prometheus-client-mmap 0.9.4

=== debian/changelog ===
ruby-prometheus-client-mmap (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Move debian/watch to gemwatch.debian.net

 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Oct 2018 17:04:17 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
                gem2deb
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
 Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap

## ruby-prometheus-client-mmap 0.10.0

=== debian/changelog ===
ruby-prometheus-client-mmap (0.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pirate Praveen ]
  * Bump minimum version of gem2deb to 1.0~
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 14 Jul 2020 00:24:14 +0530

ruby-prometheus-client-mmap (0.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.10.0

 -- Sruthi Chandran <srud@debian.org>  Sun, 12 Jan 2020 00:51:05 +0530

ruby-prometheus-client-mmap (0.9.10-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Sruthi Chandran ]
  * New upstream version 0.9.10

 -- Sruthi Chandran <srud@debian.org>  Thu, 03 Oct 2019 22:39:31 +0530

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 11~),
-               gem2deb
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12),
+               gem2deb (>= 1.0~)
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
 Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap

## ruby-prometheus-client-mmap 0.11.0

=== debian/changelog ===
ruby-prometheus-client-mmap (0.11.0-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Pirate Praveen ]
  * New upstream version 0.11.0

 -- Pirate Praveen <praveen@debian.org>  Sun, 25 Oct 2020 00:57:14 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ruby-prometheus-client-mmap
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gem2deb (>= 1.0~)

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=3
https://gemwatch.debian.net/prometheus-client-mmap .*/prometheus-client-mmap-(.*).tar.gz

## ruby-prometheus-client-mmap 0.15.0

=== vendor/c/jsmn/Makefile ===
# You can put your build options here
-include config.mk

all: libjsmn.a 

libjsmn.a: jsmn.o
	$(AR) rc $@ $^

%.o: %.c jsmn.h
	$(CC) -c $(CFLAGS) $< -o $@

test: test_default test_strict test_links test_strict_links
test_default: test/tests.c
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@
test_strict: test/tests.c
	$(CC) -DJSMN_STRICT=1 $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@
test_links: test/tests.c
	$(CC) -DJSMN_PARENT_LINKS=1 $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@
test_strict_links: test/tests.c
	$(CC) -DJSMN_STRICT=1 -DJSMN_PARENT_LINKS=1 $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@

jsmn_test.o: jsmn_test.c libjsmn.a

simple_example: example/simple.o libjsmn.a
	$(CC) $(LDFLAGS) $^ -o $@

jsondump: example/jsondump.o libjsmn.a
	$(CC) $(LDFLAGS) $^ -o $@

clean:
	rm -f *.o example/*.o
	rm -f *.a *.so
	rm -f simple_example
	rm -f jsondump

.PHONY: all clean test

=== debian/changelog ===
ruby-prometheus-client-mmap (0.15.0-2build1) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 15:49:28 -0300

ruby-prometheus-client-mmap (0.15.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 20 Nov 2021 23:37:04 +0530

ruby-prometheus-client-mmap (0.15.0-1) experimental; urgency=medium

  * New upstream version 0.15.0
  * Use ${ruby:Depends} for ruby dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Oct 2021 00:54:26 +0530

ruby-prometheus-client-mmap (0.12.0-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Update watch file standard

 -- Pirate Praveen <praveen@debian.org>  Sat, 28 Aug 2021 18:07:21 +0530

ruby-prometheus-client-mmap (0.12.0-1) experimental; urgency=medium

  * New upstream version 0.12.0
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Jan 2021 16:05:54 +0530

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1.0~)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
 Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap
@@ -15,7 +15,7 @@
 Package: ruby-prometheus-client-mmap
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: suite of instrumentation metric primitives

=== debian/watch ===
version=4
https://gemwatch.debian.net/prometheus-client-mmap .*/prometheus-client-mmap-(.*).tar.gz

## ruby-prometheus-client-mmap 0.16.2

=== debian/changelog ===
ruby-prometheus-client-mmap (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Aug 2022 13:12:48 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1.0~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
 Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap

## ruby-prometheus-client-mmap 0.17.0

=== debian/changelog ===
ruby-prometheus-client-mmap (0.17.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + ruby-prometheus-client-mmap: Add
    Multi-Arch: same.

  [ Pirate Praveen ]
  * New upstream version 0.17.0
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Wed, 01 Mar 2023 18:12:31 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1.0~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
 Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap
@@ -18,6 +18,7 @@
 Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: suite of instrumentation metric primitives
  These instrumentation metric primitives can be exposed through a web services
  interface. Intended to be used together with a Prometheus server.

## ruby-prometheus-client-mmap 0.19.1

=== debian/changelog ===
ruby-prometheus-client-mmap (0.19.1-2) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X*-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Jun 2023 15:05:11 +0530

ruby-prometheus-client-mmap (0.19.1-1) experimental; urgency=medium

  * New upstream version 0.19.1
  * Enable tests that were disabled earlier due to segfaults

 -- Pirate Praveen <praveen@debian.org>  Mon, 17 Apr 2023 20:03:45 +0530

ruby-prometheus-client-mmap (0.17.0+spec-1) unstable; urgency=medium

  * Reupload to unstable
  * Switch to using gitlab.com tags
  * New upstream version 0.17.0+spec
  * Enable running upstream tests
  * Use gem install layout of dh ruby
  * Remove relative path to lib from spec in tests

 -- Pirate Praveen <praveen@debian.org>  Mon, 17 Apr 2023 16:43:46 +0530

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb (>= 1.0~)
+               gem2deb (>= 1.0~),
+               ruby-rspec,
+               ruby-simplecov,
+               ruby-oj,
+               ruby-rack-test
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
 Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 
 Package: ruby-prometheus-client-mmap
 Architecture: any
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## ruby-prometheus-client-mmap 0.23.1

=== debian/changelog ===
ruby-prometheus-client-mmap (0.23.1-3build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:43:07 -0300

ruby-prometheus-client-mmap (0.23.1-3build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 07 Feb 2024 18:30:34 -0300

ruby-prometheus-client-mmap (0.23.1-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Jul 2023 00:30:00 +0530

ruby-prometheus-client-mmap (0.23.1-2) experimental; urgency=medium

  * Update copyright for vendor/c/{hashmap,jsmn}

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Jul 2023 16:56:32 +0530

ruby-prometheus-client-mmap (0.23.1-1) experimental; urgency=medium

  * New upstream version 0.23.1
  * Add ruby-rb-sys as build dependency

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Jul 2023 17:46:38 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                ruby-rspec,
                ruby-simplecov,
                ruby-oj,
-               ruby-rack-test
+               ruby-rack-test,
+               ruby-rb-sys
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_RUBY = --gem-install

%:
	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*v(.*)\/.*/prometheus-client-mmap-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/ruby/gems/prometheus-client-mmap/tags .*/prometheus-client-mmap-v(.*).tar.gz

## ruby-prometheus-client-mmap 1.2.9

=== debian/changelog ===
ruby-prometheus-client-mmap (1.2.9-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Set Rules-Requires-Root: no
  * Set upstream metadata fields

  [ Ananthu C V ]
  * New upstream version 1.2.9 (Closes: #1075473)
  * Add myself to uploaders
  * Update d/watch to match latest gitlab tarball paths
  * Configure the rust extension building properly to use debianisms
  * Patch dependency versions to match debian packaged versions
  * Clean files before build to ensure reproducibility (Closes: #1046751)
  * Update build-dependencies
  * Bump standards version to 4.7.2 (no changes needed)
  * Update d/copyright
  * Add ruby interprreter as dependency

 -- Ananthu C V <weepingclown@debian.org>  Fri, 25 Apr 2025 00:18:30 +0530

=== debian/control ===
Source: ruby-prometheus-client-mmap
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders:
 Pirate Praveen <praveen@debian.org>,
 Ananthu C V <weepingclown@debian.org>,
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cargo:native,
 gem2deb,
 libclang-dev,
 librust-hashbrown-0.14+default-dev,
 librust-libc-0.2+default-dev,
 librust-magnus-0.7+default-dev,
 librust-magnus-0.7+rb-sys-dev,
 librust-memmap2-0.9+default-dev,
 librust-nix-0.29+default-dev,
 librust-nix-0.29+feature-dev,
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+mman-dev,
 librust-rb-sys-0.9+default-dev,
 librust-rb-sys-0.9+stable-api-compiled-fallback-dev,
 librust-rb-sys-env-0.1+default-dev (>= 0.1.2-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+raw-value-dev,
 librust-smallvec-1+default-dev (>= 1.13-~~),
 librust-smallvec-1+serde-dev (>= 1.13-~~),
 librust-thiserror-2+default-dev,
 libstd-rust-dev,
 ruby-oj,
 ruby-rack-test,
 ruby-rb-sys,
 ruby-rspec,
 ruby-simplecov,
 rustc:native,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-prometheus-client-mmap.git
Homepage: https://gitlab.com/gitlab-org/prometheus-client-mmap
Rules-Requires-Root: no

Package: ruby-prometheus-client-mmap
Architecture: any
Multi-Arch: same
Depends:
 ruby,
 ${misc:Depends},
 ${ruby:Depends},
 ${shlibs:Depends},
Description: suite of instrumentation metric primitives
 These instrumentation metric primitives can be exposed through a web services
 interface. Intended to be used together with a Prometheus server.
 .
 This Prometheus library is fork of Prometheus Ruby Client that uses mmap'ed
 files to share metrics from multiple processes. This allows efficient metrics
 processing for Ruby web apps running in multiprocess setups like Unicorn.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/rustc/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_RUBY = --gem-install

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

RUBYGEMS_INTEGRATION_PATH := $(shell ruby -e 'puts Gem.path.grep(%r{^/usr/lib/.*/rubygems-integration/})')
CARGO_WORKSPACE = "debian/${DEB_SOURCE}${RUBYGEMS_INTEGRATION_PATH}/gems/prometheus-client-mmap-${DEB_VERSION_UPSTREAM}/ext/fast_mmaped_file_rs"

export RB_SYS_CARGO_TARGET_DIR = "$(shell pwd)/${CARGO_WORKSPACE}/target"
export CARGO_BUILD_TARGET = $(DEB_HOST_RUST_TYPE)

%:
	dh $@ --buildsystem=ruby --with ruby

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	echo "[workspace]\nmembers = [\"${CARGO_WORKSPACE}\"]\nresolver = \"2\"" > Cargo.toml

execute_after_dh_installexamples:
	find debian/ -name config.ru -type f -executable -exec chmod -x {} \+

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/gitlab-org/ruby/gems/prometheus-client-mmap/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/prometheus-client-mmap-@ANY_VERSION@.tar.gz
